
function cargar_modal_perfil() {
    $("#modal_pefil").modal({ keyborad: false })
    $("#modal_pefil").modal('show');
    traer_usuario_Actual();
}

traer_foto_nav();
function traer_foto_nav(){
    let idusu_p = document.getElementById('txtprincipalid').value;
    $.ajax({
        url: "../controller/usuario/controller_listar_usuario_actual.php",
        type: 'POST',
        data: {
            idusu_p: idusu_p
        }
    }).done(function (resp) {
        let data = JSON.parse(resp);
        if (data.length > 0) {
            if(data[0][2]==''){
                document.getElementById('img_nav_perfil').src='../controller/empleado/foto/default.png';
            }else{
                 document.getElementById('img_nav_perfil').src = '../' + data[0][2];
            }
           
        }

    });
}

function traer_usuario_Actual() {
    let idusu_p = document.getElementById('txtprincipalid').value;
    $.ajax({
        url: "../controller/usuario/controller_listar_usuario_actual.php",
        type: 'POST',
        data: {
            idusu_p: idusu_p
        }
    }).done(function (resp) {
        let data = JSON.parse(resp);
        if (data.length > 0) {
            document.getElementById('txt_usu_p').value = data[0][0];
            document.getElementById('text_pass_hash').value = data[0][1];
            document.getElementById('img_perfil').src = '../' + data[0][2];
        }

    });
}
function mostar_container_p() {
    let div_contra = document.getElementById('div_password_modify')

    if (div_contra.style.display == 'block') {
        div_contra.style.display = 'none';
    } else {
        div_contra.style.display = 'block';
    }
}
function Modificar_Perfil() {
    let id = document.getElementById('txtprincipalid').value;
    let usu_nuevo = document.getElementById('txt_usu_p').value;
    let contra_a = document.getElementById('txt_contra_a').value;
    let contra_n = document.getElementById('txt_contra_n').value;
    let arc = document.getElementById('inputFile').value;
    let contra_hash = document.getElementById('text_pass_hash').value;
    let formData = new FormData();
    let div_contra = document.getElementById('div_password_modify');
    let div_contra_bool = false;

    if (div_contra.style.display == 'block') {
        div_contra_bool = true;
        if (contra_a == '' && contra_n == '') {
            return Swal.fire('Mensaje de Advertencia', "Existen Campos Vacios", "warning");
        }
        formData.append("contra_a", contra_a);
        formData.append("contra_n", contra_n);
    }
    if (usu_nuevo == '') {
        return Swal.fire('Mensaje de Advertencia', "Existen Campos Vacios", "warning");
    }

    let extension = arc.split('.').pop();
    let nombrearchivo = "";
    let f = new Date();
    if (arc.length > 0) {
        nombrearchivo = "ARCH" + f.getDate() + "" + (f.getMonth() + 1) + "" + f.getFullYear() + "" + f.getHours() + "" + f.getMilliseconds() + "." + extension;
    }

    let archivoobj = $("#inputFile")[0].files[0];
    formData.append("id", id);
    formData.append("usu_nuevo", usu_nuevo);
    formData.append("contra_hash", contra_hash);
    formData.append("nombrearchivo", nombrearchivo);
    formData.append("archivoobj", archivoobj);
    $.ajax({
        url: "../controller/usuario/controller_modificar_usuario_actual.php",
        type: 'POST',
        data: formData,
        contentType: false,
        processData: false
    }).done(function (resp) {
        if (resp > 0) {
            if (resp == 1) {
                Swal.fire('Exito', "Tus Credenciales han sido actualizados Correctamente", "success").then(function () {
                    if (div_contra_bool) {
                        document.getElementById('txt_contra_a').value = '';
                        document.getElementById('txt_contra_n').value = '';
                        document.getElementById('inputFile').value = '';
                        div_contra.style.display = 'none';
                        $("#modal_pefil").modal('hide');

                    } else {
                        document.getElementById('inputFile').value = '';
                        $("#modal_pefil").modal('hide');
                    }
                });

            } else {
                Swal.fire("Mensaje de Advertencia", "Ya existe un usuasrio con es nombre", "warning");
            }
        } else if (resp == 0) {
            Swal.fire('Opps ...!', "Contraseña Actual Equivocada", "error");
        } else {
            Swal.fire("Menasje de Error", "No se puede actualizar, concatse con soporte", "error");
        }
    });
}
function aMayusculas(obj, id) {
    obj = obj.toUpperCase();
    document.getElementById(id).value = obj;
}
function mostrarPassword(inputId) {
    let cambio = document.getElementById(inputId);
    let btn = $(event.target);
    if (cambio.type == "password") {
        cambio.type = "text";
        btn.find('.icon').removeClass('fa-solid fa-eye-slash').addClass('fa-solid fa-eye');
    } else {
        cambio.type = "password";
        btn.find('.icon').removeClass('fa-solid fa-eye').addClass('fa-solid fa-eye-slash');
    }
}